Bug 208537 - [si_LK] can't input 2nd modifiers in openoffice with im-scim
[si_LK] can't input 2nd modifiers in openoffice with im-scim
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
: i18n
Depends On:
Blocks: Sinhala
  Show dependency treegraph
Reported: 2006-09-29 05:25 EDT by Jens Petersen
Modified: 2007-11-30 17:11 EST (History)
8 users (show)

See Also:
Fixed In Version: 2.0.4-5.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-02 11:33:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 69992 None None None Never

  None (edit)
Description Jens Petersen 2006-09-29 05:25:50 EDT
+++ This bug was initially created as a clone of Bug #206261 +++

Description of problem:
The result in openoffice of typing o and oo (same for ee, kii, uu and aa, etc)
with scim-sinhala (but not scim-bridge) is the same.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
0. run: GTK_IM_MODULE=scim oowriter
1. activate scim-sinhala
2. type oo

Actual results:
displays ඔ (U+0D94)

Expected results:
should displays ඕ (U+0D95)

Additional info:
When the second vowel key is pressed, a character appears momentarily
in the buffer but then disappears immediately again.
Comment 1 Caolan McNamara 2006-09-29 05:45:13 EDT
Likely to be a similiar fragile event ordering issue somewhere
Comment 2 Leon Ho 2006-09-29 05:47:14 EDT
From what I got from Jens, this is different to #206261 which you've triaged
recently. This bug surfaces when the scim-bridge is fixed in #206261 (still yet
to be backported). 

The issue occurs in OOo, but not in gedit/kedit. To workaround on the #206261
problem, we use scim-gtkimm to test (GTK_IM_MODULE=scim)
Comment 3 Jens Petersen 2006-09-29 06:02:06 EDT
(In reply to comment #1)
> Likely to be a similiar fragile event ordering issue somewhere

I should have added that this is only reproducible for me on
openoffice.org, not gedit, kate, nor firefox.
Comment 4 Caolan McNamara 2006-09-29 09:27:43 EDT
sure, could be a fragile OOo event handling in this case :-)
I seem to see that it affects writer only, not calc, math or impress, which is
especially odd.
Comment 5 Caolan McNamara 2006-09-29 14:49:26 EDT
The keystrokes for 1st letter, backspace, replacement letter get delivered to
OOo in the right order, but the backspace triggers the OOo "backspace" event
which doesn't get OOo scheduler time to run until after the 2nd letter shows up.

I can fix this in OOo if I have to with a well placed yield to get the backspace
handler scheduled in before the replacement letter gets set into the document,
so this is fixable, I just want to satisfy myself first about the timestamps I
see on the events from scim which seem a bit odd to me.
Comment 6 Caolan McNamara 2006-10-11 07:00:48 EDT
please test openoffice.org 2.0.4-5.3 to see if it satisfies requirements
Comment 7 Jens Petersen 2006-10-16 03:54:11 EDT
Thanks, Caolan, looks good to me now. :)
Comment 8 Caolan McNamara 2006-11-02 11:33:52 EST
closing as per last comment

Note You need to log in before you can comment on or make changes to this bug.